com.amazonaws.services.workspaces.model

## Class ComputeType

- java.lang.Object
- - com.amazonaws.services.workspaces.model.ComputeType

All Implemented Interfaces:
  Serializable, Cloneable

    public class ComputeType
    extends Object
    implements Serializable, Cloneable

Contains information about the compute type of a WorkSpace bundle.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComputeType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ComputeType` `clone()`
`boolean` `equals(Object obj)`
`String` `getName()` The name of the compute type for the bundle.
`int` `hashCode()`
`void` `setName(Compute name)` The name of the compute type for the bundle.
`void` `setName(String name)` The name of the compute type for the bundle.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ComputeType` `withName(Compute name)` The name of the compute type for the bundle.
`ComputeType` `withName(String name)` The name of the compute type for the bundle.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComputeType

    public ComputeType()

### Method Detail

#### setName

    public void setName(String name)

The name of the compute type for the bundle.

Parameters:
  `name` - The name of the compute type for the bundle.
See Also:
  `Compute`

#### getName

    public String getName()

The name of the compute type for the bundle.

Returns:
  The name of the compute type for the bundle.
See Also:
  `Compute`

#### withName

    public ComputeType withName(String name)

The name of the compute type for the bundle.

Parameters:
  `name` - The name of the compute type for the bundle.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `Compute`

#### setName

    public void setName(Compute name)

The name of the compute type for the bundle.

Parameters:
  `name` - The name of the compute type for the bundle.
See Also:
  `Compute`

#### withName

    public ComputeType withName(Compute name)

The name of the compute type for the bundle.

Parameters:
  `name` - The name of the compute type for the bundle.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `Compute`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ComputeType clone()

Overrides:
  `clone` in class `Object`